## List items `GET https://getkollek.com/api/collections/{collection}/items` Retrieve the items catalogued within a collection. **Permissions:** Any member of the account. ### Path parameters - `collection` (integer, required): The ID of the collection the item belongs to. ### Query parameters - `per_page` (integer, optional): The number of items to return per page, between 1 and 100. Default: `10`. - `page` (integer, optional): The page number to return. Default: `1`. **Returns:** A paginated list of item objects. ### Example request ```bash curl https://getkollek.com/api/collections/1/items \ -H "Authorization: Bearer $API_KEY" \ -H "Accept: application/json" ``` ### Example response `Status: 200` ```json { "data": [ { "type": "item", "id": "1", "attributes": { "name": "Amazing Spider-Man #1", "description": "Near mint condition.", "collection_id": "1", "type_id": null, "category_id": null, "set_id": null, "series_id": null, "created_at": 1752537600, "updated_at": 1752537600 }, "links": { "self": "https://getkollek.com/api/collections/1/items/1" } }, { "type": "item", "id": "2", "attributes": { "name": "Amazing Spider-Man #2", "description": null, "collection_id": "1", "type_id": null, "category_id": null, "set_id": null, "series_id": null, "created_at": 1752537600, "updated_at": 1752537600 }, "links": { "self": "https://getkollek.com/api/collections/1/items/2" } } ], "links": { "first": "https://getkollek.com/api/collections/1/items?page=1", "last": "https://getkollek.com/api/collections/1/items?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://getkollek.com/api/collections/1/items?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ], "path": "https://getkollek.com/api/collections/1/items", "per_page": 10, "to": 2, "total": 2 } } ```